depsolving problems

Issues related to software problems.
Post Reply
haynessn
Posts: 7
Joined: 2013/12/02 14:33:35

depsolving problems

Post by haynessn » 2013/12/12 13:09:48

Hi, I am new too the forum and Linux. I am having trouble with "yum install" in the fact I am getting depsolving problems. I am trying to install gsmartcontrol-0.8.7-28.2.x86_64.rpm, this has a dependency of libcairomm-1_0-1-1.10.0-14.3.x86_64.rpm which when I install i get

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* c5-media:
Setting up Install Process
Examining libcairomm-1_0-1-1.10.0-12.2.2.x86_64.rpm: libcairomm-1_0-1-1.10.0-12.2.2.x86_64
Marking libcairomm-1_0-1-1.10.0-12.2.2.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package libcairomm-1_0-1.x86_64 0:1.10.0-12.2.2 set to be updated
--> Processing Dependency: libc.so.6(GLIBC_2.14)(64bit) for package: libcairomm-1_0-1
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.11)(64bit) for package: libcairomm-1_0-1
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.9)(64bit) for package: libcairomm-1_0-1
--> Processing Dependency: libsigc-2.0.so.0()(64bit) for package: libcairomm-1_0-1
--> Finished Dependency Resolution
libcairomm-1_0-1-1.10.0-12.2.2.x86_64 from /libcairomm-1_0-1-1.10.0-12.2.2.x86_64 has depsolving problems
--> Missing Dependency: libstdc++.so.6(GLIBCXX_3.4.11)(64bit) is needed by package libcairomm-1_0-1-1.10.0-12.2.2.x86_64 (/libcairomm-1_0-1-1.10.0-12.2.2.x86_64)
libcairomm-1_0-1-1.10.0-12.2.2.x86_64 from /libcairomm-1_0-1-1.10.0-12.2.2.x86_64 has depsolving problems
--> Missing Dependency: libstdc++.so.6(GLIBCXX_3.4.9)(64bit) is needed by package libcairomm-1_0-1-1.10.0-12.2.2.x86_64 (/libcairomm-1_0-1-1.10.0-12.2.2.x86_64)
libcairomm-1_0-1-1.10.0-12.2.2.x86_64 from /libcairomm-1_0-1-1.10.0-12.2.2.x86_64 has depsolving problems
--> Missing Dependency: libc.so.6(GLIBC_2.14)(64bit) is needed by package libcairomm-1_0-1-1.10.0-12.2.2.x86_64 (/libcairomm-1_0-1-1.10.0-12.2.2.x86_64)
libcairomm-1_0-1-1.10.0-12.2.2.x86_64 from /libcairomm-1_0-1-1.10.0-12.2.2.x86_64 has depsolving problems
--> Missing Dependency: libsigc-2.0.so.0()(64bit) is needed by package libcairomm-1_0-1-1.10.0-12.2.2.x86_64 (/libcairomm-1_0-1-1.10.0-12.2.2.x86_64)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest

I have installed libstdc++-4.1.2-54.el5.x86_64.rpm and libstdc++-4.1.2-54.el5.i386.rpm so why is it complaining about needing libstdc++. I have used yum clean all. No problems can be found via package-cleanup. There are no dupes.

Help would be appreciated.

User avatar
TrevorH
Forum Moderator
Posts: 29430
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: depsolving problems

Post by TrevorH » 2013/12/12 14:03:37

Your libcairomm RPM is not designed to be installed on CentOS 5 nor even on CentOS 6 since it has requirements for a glibc 2.14 and el6 has 2.12 and el5 has 2.5. You need to find a version that's built for el5.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

haynessn
Posts: 7
Joined: 2013/12/02 14:33:35

Re: depsolving problems

Post by haynessn » 2013/12/12 15:39:26

I tried cairomm-1.2.4-3.3.x86_64.rpm and that actually loaded libcairo.2.9.2. However one of the files I need is libatkmm-1.6.s0.1 when I search for that I am directed to gtkmm24-2.10.10-1.el5.i386.rpm. When I attempt to install that I get the following

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* c5-media:
Setting up Install Process
Examining gtkmm24-2.10.10-1.el5.i386.rpm: gtkmm24-2.10.10-1.el5.i386
Marking gtkmm24-2.10.10-1.el5.i386.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package gtkmm24.i386 0:2.10.10-1.el5 set to be updated
--> Processing Dependency: libcairomm-1.0.so.1 for package: gtkmm24
--> Processing Dependency: libgdk-x11-2.0.so.0 for package: gtkmm24
--> Processing Dependency: libgdk_pixbuf-2.0.so.0 for package: gtkmm24
--> Processing Dependency: libgtk-x11-2.0.so.0 for package: gtkmm24
--> Running transaction check
---> Package gtk2.i386 0:2.10.4-20.el5 set to be updated
--> Processing Dependency: libtiff.so.3 for package: gtk2
--> Processing Dependency: libcups.so.2 for package: gtk2
---> Package gtkmm24.i386 0:2.10.10-1.el5 set to be updated
--> Processing Dependency: libcairomm-1.0.so.1 for package: gtkmm24
--> Running transaction check
---> Package cups-libs.i386 1:1.3.7-18.el5 set to be updated
---> Package gtkmm24.i386 0:2.10.10-1.el5 set to be updated
--> Processing Dependency: libcairomm-1.0.so.1 for package: gtkmm24
---> Package libtiff.i386 0:3.8.2-7.el5_3.4 set to be updated
--> Finished Dependency Resolution
gtkmm24-2.10.10-1.el5.i386 from /gtkmm24-2.10.10-1.el5.i386 has depsolving problems
--> Missing Dependency: libcairomm-1.0.so.1 is needed by package gtkmm24-2.10.10-1.el5.i386 (/gtkmm24-2.10.10-1.el5.i386)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest

So why is not seeing libcairomm

Thanks

haynessn
Posts: 7
Joined: 2013/12/02 14:33:35

Re: depsolving problems

Post by haynessn » 2013/12/12 15:57:45

On a similar topic gsmartcontrol needs libgtkmm the repositories i points to is glibmm24-2.12.10-1.el5.i386.rpm when I install it I get

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* c5-media:
Setting up Install Process
Examining glibmm24-2.12.10-1.el5.i386.rpm: glibmm24-2.12.10-1.el5.i386
glibmm24-2.12.10-1.el5.i386.rpm: does not update installed package.
Nothing to do

No packages are installed

What's happening

haynessn
Posts: 7
Joined: 2013/12/02 14:33:35

Re: depsolving problems

Post by haynessn » 2013/12/13 15:02:10

Solved the problem, I had picked up a version for centos 6. I actually hosed one of my VM machines. But experiments on another solved the problem quickly

Post Reply

Return to “CentOS 5 - Software Support”